Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface AssignmentInstructions.Event

All Superinterfaces:
  EventSource.Event

Enclosing interface:
  AssignmentInstructions

    public static interface AssignmentInstructions.Event

extends EventSource.Event

Property names for the PropertyChangeEvents that can be produced by edits on a object of this type.

Field Summary
`static String` | `ASSIGNEES` If an assignee is added, the 'new' field is populated.
`static String` | `CANDIDATE_LIST_HANDLING`
`static String` | `LOAD_BALANCING_AVAIL_CHECK_ENABLED`
`static String` | `LOAD_BALANCING_MAX_TASKS_TO_CONSIDER`
`static String` | `LOAD_BALANCING_WORKLOAD_TASKCOUNT_ONLY_ENABLED`

Fields inherited from interface com.bea.wli.worklist.api.taskplan.EventSource.Event
`DIRTY`

Field Detail

### ASSIGNEES

    static final String ASSIGNEES

  If an assignee is added, the 'new' field is populated. If an assignee is removed the 'old' field is populated. If the entire collection is replaced, the old value is set as an AssigneeDefinition[] in the 'old' field, and the new as an array in the 'new' field.

  See Also:
    Constant Field Values

### CANDIDATE_LIST_HANDLING

    static final String CANDIDATE_LIST_HANDLING

See Also:
  Constant Field Values

### LOAD_BALANCING_AVAIL_CHECK_ENABLED

    static final String LOAD_BALANCING_AVAIL_CHECK_ENABLED

See Also:
  Constant Field Values

### LOAD_BALANCING_WORKLOAD_TASKCOUNT_ONLY_ENABLED

    static final String LOAD_BALANCING_WORKLOAD_TASKCOUNT_ONLY_ENABLED

See Also:
  Constant Field Values

### LOAD_BALANCING_MAX_TASKS_TO_CONSIDER

    static final String LOAD_BALANCING_MAX_TASKS_TO_CONSIDER

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD